Get the global target property valid values
get
https://EM_HOST:8080/em/api/globalTargetProperties/{globalTargetPropertyID}/validValues
This api returns the valid values of the global target property with the given id.
Request
Path Parameters
-
id(required): string
the global target property id
Query Parameters
-
limit: integer(int32)
Minimum Value:
1Maximum Value:2000to limit the number of rows returned. If the result set is greater follow the previous and next links in the results.Example:20 -
page: string
system generated page token used in the self, next and previous links.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
Successful Response
Root Schema : GlobalTargetPropertyValidValueCollection
Type:
objectThis is the representation of list of valid property values.
Show Source
-
count(required): integer
the number of items in this pageExample:
20 -
items(required): array
items
the valid values
-
links(required): object
links
the result set navigation links
-
total: integer
the total number of resultsExample:
42
Nested Schema : items
Type:
arraythe valid values
Show Source
-
Array of:
string
valid valueExample:
London
401 Response
client is not authenticated
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
404 Response
resource not found or not authorized
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
500 Response
internal error serving the request
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message
503 Response
indicates that a required service is not available.
Root Schema : ErrorResponse
Type:
objectResponse sent back in the case of an Error
Show Source
-
code(required): string
The status code of the error
-
message(required): string
A descriptive error message